V1.0
get
/ec-dc-svc/rest/v1/studies/{studyId}/{mode}/visitstatus/forms/studyVersion/{studyVersion}/subject/{subjectId}/event/{eventId}
Retrieves the Associated and Dynamic forms for a subject visit.
Request
Path Parameters
-
eventId(required): string(uuid)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
53915DD9B758466AB2226CBCC4466B7E -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
E6C7BC17E0F041D5B79B21A165911AC3 -
studyVersion(required): string
String representing the version of the study. Helps track changes in form or study design.Example:
3.0.0.1 -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B5969AC2FBA840438F9E0DB26A2DD33E
Query Parameters
-
eventInstanceNum(required): string
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Subjects success.
Root Schema : schema
Type:
Show Source
array-
Array of:
object VisitDynamicAssoFormsResponse
Response object describing dynamic or associated form visibility for a given visit.
Nested Schema : VisitDynamicAssoFormsResponse
Type:
objectResponse object describing dynamic or associated form visibility for a given visit.
Show Source
-
formId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
ABCDEF1234567890ABCDEF1234567890 -
formType: integer
(int32)
Form type indicator where 0 represents ASSOCIATED_FORM and 1 represents DYNAMIC_FORMExample:
0 -
isVisible: boolean
Flag indicating if the form should be visible on the visit for the subjectExample:
true
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object